Create a new connection (step 1)
post
/v1/connections
🔐 Authentication
X-API-KEY API key of the environment
Header parameter: X-API-KEY
X-TOKEN Token generated for a UI session
Header parameter: X-TOKEN
📤 Request

Content Type: application/json
integration_id string required

The ID of the integration the connection should be created for.

Example: aws_s3
name string required

The name of the connection. This can be a human-readable name for the connection and can later be shown to the user. It is fine to allow the user to define the name of the connection.

Example: AWS S3 Marketing
identity_uuid string uuid

The identitiy uuid is required when created by an environment (authentication via API Key). The identity must belong to the environment.

Example: 123e4567-e89b-12d3-a456-426614174000
fields object required

Fields required by the integration from step 1. The fields are different for each integration and provided as a key-value pair, using the field id as key and the user input as value.

Example: { "username": "mustermann", "password": "123456" }
Request Example
📥 Response
201 Created
Content Type:
401 Unauthorized Error
Content Type:
403 Forbidden
Content Type:
422 Unprocessable Entity
Content Type:
500 Internal Server Error
Content Type:
Response Examples